from . import zmq_patterns

reply = zmq_patterns.Reply()
reply.open()

print("ready ...")
running = True
count = 0
while(running == True):
    request = reply.wait_for_request()
    print(request)
    count += 1
    if request == "done":
        running = False
print("request to stop after {}".format(count))
reply.close()
